# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "gie-client"
version = "0.1.1"
authors = ["hexqnt <hexqntlab@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Strictly-typed, unofficial Rust client for downloading GIE AGSI and ALSI data."
documentation = "https://docs.rs/gie-client"
readme = "README.md"
keywords = [
    "gie",
    "agsi",
    "alsi",
    "energy",
    "api-client",
]
categories = [
    "api-bindings",
    "web-programming::http-client",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/hexqnt/gie-client"

[features]
chrono = ["dep:chrono"]
default = []
polars = ["dep:polars"]

[lib]
name = "gie_client"
path = "src/lib.rs"

[[example]]
name = "agsi_snapshot_sync"
path = "examples/agsi_snapshot_sync.rs"

[[example]]
name = "alsi_time_series_async_external_client"
path = "examples/alsi_time_series_async_external_client.rs"

[[example]]
name = "alsi_time_series_polars"
path = "examples/alsi_time_series_polars.rs"

[[example]]
name = "alsi_time_series_sync"
path = "examples/alsi_time_series_sync.rs"

[[test]]
name = "live_api_contract"
path = "tests/live_api_contract.rs"

[dependencies.chrono]
version = "0.4"
features = ["std"]
optional = true
default-features = false

[dependencies.polars]
version = "0.53"
features = ["fmt"]
optional = true
default-features = false

[dependencies.reqwest]
version = "0.13"
features = [
    "blocking",
    "json",
    "query",
    "rustls",
]
default-features = false

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"

[dependencies.time]
version = "0.3"

[dependencies.tokio]
version = "1"
features = ["time"]
default-features = false

[dev-dependencies.tokio]
version = "1"
features = [
    "macros",
    "rt-multi-thread",
]
